org.eclipse.rdf4j.workbench.commands

## Class CreateServlet

- java.lang.Object
- - org.eclipse.rdf4j.workbench.base.AbstractServlet
  - - org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet
    - - org.eclipse.rdf4j.workbench.base.TransformationServlet
      - - org.eclipse.rdf4j.workbench.commands.CreateServlet

- All Implemented Interfaces:
    javax.servlet.Servlet, RepositoryServlet

      public class CreateServlet
      extends TransformationServlet

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `CONTEXT, cookies, INFO, NON_VERIFYING_PARSER_CONFIG`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `info, manager, MANAGER_PARAM, repository, REPOSITORY_PARAM, vf`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `ACCEPT, appConfig, APPLICATION_JAVASCRIPT, APPLICATION_SPARQL_RESULTS_XML, APPLICATION_XML, config, DEFAULT_JSONP_CALLBACK_PARAMETER, JSONP_CALLBACK_PARAMETER, JSONP_ENABLED, JSONP_VALIDATOR, log, MOZILLA, MSIE, SERVER_PASSWORD, SERVER_USER, SERVER_USER_PASSWORD, TEXT_HTML, TEXT_PLAIN, USER_AGENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doPost(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, String xslPath)` POST requests to this servlet come from the various specific create-* form submissions.
    `void` | `init(javax.servlet.ServletConfig config)`
    `protected void` | `service(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, String xslPath)` GET requests to this servlet come from the Workbench side bar or from create.xsl form submissions.

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `getCookieNames, service, service`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `setRepository, setRepositoryInfo, setRepositoryManager`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `checkJSONP, destroy, getBooleanResultFormat, getJSONPResultFormat, getResultWriter, getServletConfig, getServletInfo, getTupleResultBuilder, getTupleResultFormat, service`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, service`

- - ### Constructor Detail

    - #### CreateServlet

          public CreateServlet()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `TransformationServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### doPost

          protected void doPost(WorkbenchRequest req,
                                javax.servlet.http.HttpServletResponse resp,
                                String xslPath)
                         throws javax.servlet.ServletException

      POST requests to this servlet come from the various specific create-* form submissions.
      Overrides:
        `doPost` in class `TransformationServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### service

          protected void service(WorkbenchRequest req,
                                 javax.servlet.http.HttpServletResponse resp,
                                 String xslPath)
                          throws IOException,
                                 RepositoryException,
                                 QueryResultHandlerException

      GET requests to this servlet come from the Workbench side bar or from create.xsl form submissions.
      Overrides:
        `service` in class `TransformationServlet`
      Throws:
        `RepositoryException`
        `QueryResultHandlerException`
        `IOException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.